%define version 2.77.21
%define name mdkonline
%define subrel 1
%define release %mkrel 1

Summary:	Mandriva Online Update Tool  
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	%{name}-%{version}.tar.lzma
URL:		http://www.mandrivaonline.com
License:	GPL
Group:		System/Configuration/Other
# for LWP::UserAgent:
Requires:	perl-libwww-perl
%if %mdkversion >= 201000
Requires:   drakxtools-newt => 12.48
Requires: rpmdrake >= 5.11.1
%endif
%if %mdkversion == 200910
Requires:  	drakxtools-newt => 11.88
# for gurpmi.addmedia & update API:
Requires: rpmdrake >= 5.11.1
%endif
%if %mdkversion < 200910
Requires: drakxtools-newt >= 10.4.114
# for gurpmi.addmedia
%if %mdkversion > 200800
Requires: rpmdrake > 4.0
%else
Requires: rpmdrake >= 3.117.8
%endif
%endif
# For adding restricted media:
Requires: perl-Crypt-SSLeay
# for good gurpmi:
%if %mdkversion >= 200910
Requires: urpmi >= 6.17
Requires: gurpmi >= 6.17
%endif
%if %mdkversion == 200900
Requires: urpmi >= 6.14.9
Requires: gurpmi >= 6.14.9
%endif
%if %mdkversion == 200810
Requires: urpmi >= 5.19.9
Requires: gurpmi >= 5.19.9
%endif
%if %mdkversion < 200810
Requires: urpmi >= 4.10.14
Requires: gurpmi >= 4.10.14
%endif
%if %mdkversion > 200800
Requires:   libdrakx-net >= 0.29
%else
Requires:   libdrakx-net >= 0.26
%endif
Provides:   %{name}-backend
Obsoletes:  %{name}-backend
BuildRequires: 	gettext, perl-MDK-Common-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch: 	noarch

%description
The Mandriva Online tool allows users to be kept informed about security
updates, hardware support/enhancements and other high value services.
The package include :
* Update daemon which allows you to install security updates 
  automatically,
* A KDE/Gnome/IceWM compliant applet for security updates notification
  and installation. 

%prep
%setup -q

%build
perl -pi -e 's!my \$ver = 1;!my \$ver = '"'%version-%release'"';!' mdkapplet

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT MANDRIVA_VERSION=%{mandriva_release} install

#symbolic link to drakonline and older path
mkdir -p %buildroot%_prefix/X11R6/bin/

mkdir -p %buildroot%_sysconfdir/cron.daily/
touch %buildroot%_sysconfdir/cron.daily/mdkupdate

mkdir -p $RPM_BUILD_ROOT%_sysconfdir/X11/xinit.d
cat > $RPM_BUILD_ROOT%_sysconfdir/X11/xinit.d/mdkapplet <<EOF
#!/bin/sh
DESKTOP=\$1
case \$DESKTOP in
   IceWM|Fluxbox|xfce4|LXDE) exec /usr/bin/mdkapplet;;
esac
EOF

chmod +x $RPM_BUILD_ROOT%_sysconfdir/X11/xinit.d/mdkapplet

#install lang
%{find_lang} %{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/autostart
cat > $RPM_BUILD_ROOT%{_datadir}/autostart/mandriva-mdvonline.desktop <<EOF
[Desktop Entry]
Name=Mandriva Online Applet
Comment=Applet for Mandriva Online
Exec=%{_bindir}/mdkapplet
Icon=mdkonline
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-System-Configuration-Networking;Settings;Network;
X-KDE-autostart-after=kdesktop
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/autostart
cat > $RPM_BUILD_ROOT%{_datadir}/gnome/autostart/mandriva-mdvonline.desktop <<EOF
[Desktop Entry]
Name=Mandriva Online Applet
Comment=Applet for Mandriva Online
Exec=%{_bindir}/mdkapplet
Icon=mdkonline
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-System-Configuration-Networking;Settings;Network;
EOF

%post
%{update_desktop_database}
%{update_mime_database}

if [ -r /etc/cron.daily/mdkupdate ]; then
  perl -p -i -e 's!/usr/bin/mdkupdate!/usr/sbin/mdkupdate!' /etc/cron.daily/mdkupdate
fi

%postun
%{clean_desktop_database}
%{clean_mime_database}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING 
%{_sbindir}/mdkapplet-config
%{_sbindir}/mdkapplet-*-helper
%{_sbindir}/mdkupdate
%{_bindir}/*
%dir %{_prefix}/lib/libDrakX/drakfirsttime
%{_prefix}/lib/libDrakX/drakfirsttime/*.pm
%{_datadir}/autostart/mandriva-*.desktop
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%_datadir/mime/packages/*
%_datadir/mimelnk/application/
%_datadir/gnome/autostart/mandriva-mdvonline.desktop
%{_datadir}/%{name}/pixmaps/*.png
%_sysconfdir/X11/xinit.d/mdkapplet
%_sysconfdir/security/console.apps/urpmi.update
%_sysconfdir/pam.d/urpmi.update
%ghost %config(noreplace) %_sysconfdir/cron.daily/mdkupdate
%config(noreplace) %_sysconfdir/sysconfig/mdkapplet


##################################################################
#
#
# !!!!!!!! WARNING => THIS HAS TO BE EDITED IN THE CVS !!!!!!!!!!!
#
#
##################################################################
# get the source from our cvs repository (see
# http://www.mandrivalinux.com/en/cvs.php3)




%changelog
* Thu Jul 29 2010 Joao Victor Martins <jvictor@mandriva.com> 2.77.21-1.1mdv2011.0
+ Revision: 563079
- Bugfix release 2.77.21
- Correctly add --testing when calling mdkapplet-add-media-helper.

* Wed Jul 28 2010 Joao Victor Martins <jvictor@mandriva.com> 2.77.20-1.1mdv2011.0
+ Revision: 562112
- Bugfix release 2.77.20:
  o Fixed bug related to upgrading GTK libs (bug #59025);
  o mdkapplet-upgrade-helper tries to restart mdkapplet after
    succesfull upgrade (bug #59481).
- 2.77.19
- mdkapplet-add-media-helper now replaces
  mdkapplet-extendend-maintenance-helper

* Tue Jun 01 2010 Joao Victor Martins <jvictor@mandriva.com> 2.77.18-1.1mdv2010.1
+ Revision: 546847
- 2.77.18:
- Updated powerpack offering upgrade dialogs
- Fix translating utf8 strings in mdkapplet-add-media-helper (#59509)

* Thu May 27 2010 Eugeni Dodonov <eugeni@mandriva.com> 2.77.17-1.1mdv2010.1
+ Revision: 546322
- 2.77.17:
- updated translations.
- Install mdkapplet-add-media-helper to replace
  mdkapplet-enterprise-update-helper and mdkapplet-restricted-helper (#59500)

* Wed May 19 2010 Joao Victor Martins <jvictor@mandriva.com> 2.77.16-1.1mdv2010.1
+ Revision: 545447
- Source update.
- Release version 2.77.16
- Fix #59200, #59201
- mdkapplet-upgrade-helper:
  o Offers powerpack medias before distro upgrade.
- Updated to 2.77.15.19

  + Olivier Blin <oblin@mandriva.com>
    - pass mandriva_release when installing (so that we can build with --define mandriva_release from other distributions)

* Fri Apr 30 2010 Olivier Blin <oblin@mandriva.com> 2.77.15.18-1.1mdv2010.1
+ Revision: 541333
- 2.77.15.18
- mdkapplet
  o do not offer distribution upgrade on OEM Philco systems
- mdkapplet-extended-maintenance-helper
  o install only on distributions with extended maintenance
    (2008.0, 2009.0, 2010.0)

  + Pascal Terjan <pterjan@mandriva.org>
    - ignore lines starting with # in distro list

* Wed Feb 10 2010 Pascal Terjan <pterjan@mandriva.org> 2.77.15.17-1mdv2010.1
+ Revision: 503890
- mdkapplet
  o fix dates display wrong by one month
  o fix new distro popup appearing on 2008.0 after choices have been displayed

* Fri Feb 05 2010 Thierry Vignaud <tv@mandriva.org> 2.77.15.16-1mdv2010.1
+ Revision: 501148
- mdkapplet
  o do not check for new distro when using extended maintenance
  o further fix notifying extended maintenance taking over regular
    maintenance
  o warn when extended maintenance is over

* Thu Feb 04 2010 Thierry Vignaud <tv@mandriva.org> 2.77.15.15-1mdv2010.1
+ Revision: 500925
- mdkapplet
  o advertize only once when has extended maintenance when
    regular one is expired
  o fix notifying extended maintenance taking over regular maintenance

* Thu Feb 04 2010 Thierry Vignaud <tv@mandriva.org> 2.77.15.14-1mdv2010.1
+ Revision: 500570
- mdkapplet-extended-maintenance-helper
  o add a 'Lifetime policy' button
  o display 'no more supportion' dialog only once

* Wed Feb 03 2010 Thierry Vignaud <tv@mandriva.org> 2.77.15.13-1mdv2010.1
+ Revision: 500272
- mdkapplet
  o prevent displaying twice the same 'no longuer supported' dialog

* Wed Feb 03 2010 Thierry Vignaud <tv@mandriva.org> 2.77.15.12-1mdv2010.1
+ Revision: 500250
- mdkapplet
  o do not display 'distro upgrade' in the menu when in 'no longuer
    supported' mode
- mdkapplet
  o fix a banner title
  o hide the icon if "do nothing" was choosen

* Wed Feb 03 2010 Thierry Vignaud <tv@mandriva.org> 2.77.15.10-1mdv2010.1
+ Revision: 500228
- fix setting version

* Wed Feb 03 2010 Thierry Vignaud <tv@mandriva.org> 2.77.15.9-1mdv2010.1
+ Revision: 499944
- mdkapplet
  o fix crashing when clicking on notification

* Tue Feb 02 2010 Thierry Vignaud <tv@mandriva.org> 2.77.15.8-3mdv2010.1
+ Revision: 499697
+ rebuild (emptylog)

* Tue Feb 02 2010 Thierry Vignaud <tv@mandriva.org> 2.77.15.8-2mdv2010.1
+ Revision: 499696
- mdkapplet-extended-maintenance-helper
  o fix retrieving password with older gtk+
  o remember the email when an error occured

* Tue Feb 02 2010 Thierry Vignaud <tv@mandriva.org> 2.77.15.7-1mdv2010.1
+ Revision: 499660
- mdkapplet
  o actually honor DO_NOT_ASK_FOR_NO_MORE_SUPPORTED
  o do not backport the "live upgrade" feature on 2008.0 since it's
    unsupported/untested (missing urpmi support)
  o restore old behaviour when detecting a new distro
  o make link button usable in no more supported dialog

* Tue Feb 02 2010 Thierry Vignaud <tv@mandriva.org> 2.77.15.6-1mdv2010.1
+ Revision: 499541
- fix reported version
- revert change in 2.77.15.5 that pulled too many packages
- translations updates

* Mon Feb 01 2010 Thierry Vignaud <tv@mandriva.org> 2.77.15.5-2mdv2010.1
+ Revision: 499095
- mdkapplet
  o fix a test
  o skip some messages once extended maintenance has been enabled

* Wed Jan 27 2010 Thierry Vignaud <tv@mandriva.org> 2.77.15.4-1mdv2010.1
+ Revision: 497309
- mdkapplet-extended-maintenance-helper
  o better banner titles
  o fix adding media on 2008.0 where --xml-info option is not supported
  o fix getting password when not embedded in mcc
- mdkapplet
  o advertize when one has extended maintenance when regular one is
    expired
  o better notification message for no longuer supported distro

* Tue Jan 26 2010 Thierry Vignaud <tv@mandriva.org> 2.77.15.3-1mdv2010.1
+ Revision: 496774
- mdkapplet-extended-maintenance-helper
  o retrieve product URL instead of relying on caller to provide it
- mdkapplet
  o enable to run on 2008.0
- fix requires on 2008.0
- buildrequires mdkonline

* Mon Jan 25 2010 Thierry Vignaud <tv@mandriva.org> 2.77.15.2-1mdv2010.1
+ Revision: 496212
- mdkapplet
  o enable to share some code with mcc

* Mon Jan 25 2010 Thierry Vignaud <tv@mandriva.org> 2.77.15.1-1mdv2010.1
+ Revision: 496026
- mdkapplet-extended-maintenance-helper
  o do not show banner in error dialog when embedded in mcc
  o fix getting password when embedded in mcc

* Fri Jan 22 2010 Thierry Vignaud <tv@mandriva.org> 2.77.15-1mdv2010.1
+ Revision: 494900
- mdkapplet
  o allow to get extended maintenance on some distributions
  o fix accepting values vritten by configurator (#56348)
- mdkapplet-config
  o hide non available options instead of making them insensitive
    (#56637)
- include distribution version in user agent
- use %%patch instead of %%apply_patches as the former is backportable

* Wed Dec 09 2009 Thierry Vignaud <tv@mandriva.org> 2.77.14-1mdv2010.1
+ Revision: 475663
- drop diagnostics, strict, vars and warnings pragmas
- mdkapplet-config
  o make sure dialog is properly sized

* Wed Dec 09 2009 Thierry Vignaud <tv@mandriva.org> 2.77.13.1-1mdv2010.1
+ Revision: 475639
- translations updates
- mdkapplet-config
  o offer a couple more options regarding checks

* Thu Nov 26 2009 Thierry Vignaud <tv@mandriva.org> 2.77.12-1mdv2010.1
+ Revision: 470337
- mdkapplet-restricted-helper:
  o fix running on 2008.1 (#55956)

* Tue Nov 24 2009 Thierry Vignaud <tv@mandriva.org> 2.77.11-1mdv2010.1
+ Revision: 469678
- mdkapplet-config
  o make it work on 2008.x & 2009.x
- mdkapplet-enterprise-update-helper
  o new authentication scheme (#55735)

* Thu Nov 19 2009 Thierry Vignaud <tv@mandriva.org> 2.77.10-1mdv2010.1
+ Revision: 467466
- mdkapplet
  o add mdkonline version to distribution list requests
  o log crashes of mdkapplet checker process
  o only enable 'download all packages at once' on 2010.1 and further
  o prevent checker process from crashing on 2008.1 and 2009.0

* Thu Oct 29 2009 Thierry Vignaud <tv@mandriva.org> 2.77.7-1mdv2010.0
+ Revision: 460176
- mdkapplet
  o better check for detecting if current distro is obsolete

* Fri Oct 16 2009 Thierry Vignaud <tv@mandriva.org> 2.77.6-1mdv2010.0
+ Revision: 457948
- mdkapplet
  o display a "download all packages at once" option
  o offer to select where to download packages
- mdkapplet-enterprise-update-helper, mdkapplet-restricted-helper:
  o escape password because urpmi and its downloaders do not like
    some characters

* Tue Sep 08 2009 Aurélien Lefebvre <alefebvre@mandriva.com> 2.77.5-1mdv2010.0
+ Revision: 433758
- mdkapplet-config
  o use GtkHScale instead of GtkEntry
- mdkapplet
  o use https to fetch mirrorlist from api.mandriva.com
- mdkonline specfile update
- specfile requires updated

  + Thierry Vignaud <tv@mandriva.org>
    - relax requires on 2009.0

* Wed Jul 29 2009 Thierry Vignaud <tv@mandriva.org> 2.77.4-1mdv2010.0
+ Revision: 403871
- mdkapplet-config
  o better looking when embedded in MCC

* Wed Jul 29 2009 Thierry Vignaud <tv@mandriva.org> 2.77.3.1-1mdv2010.0
+ Revision: 403174
- mdkapplet-enterprise-update-helper
  o fix my.mdv.com URL

* Tue Jul 28 2009 Thierry Vignaud <tv@mandriva.org> 2.77.3-1mdv2010.0
+ Revision: 401880
- mdkapplet-enterprise-update-helper
  o gracefully handle (rare) server issues (#51299)
  o use proper URL for MES

* Fri Jul 24 2009 Thierry Vignaud <tv@mandriva.org> 2.77.2-1mdv2010.0
+ Revision: 399406
- mdkapplet, mdkapplet-enterprise-update-helper
  o do not display PowerPack but real product name (#52292)
  o on MES5, offer to add update media from authenticated server
- mdkapplet-restricted-helper
  o gracefully handle (rare) server issues (#51299, #51548)
- mdkapplet
  o if current distribution is no more supported, warn so and offer to
    upgrade to latest release
- mdkapplet-upgrade-helper
  o remove the "upgrade in progress" flag when adding media failed
    (might fix #50450)

* Tue May 12 2009 Thierry Vignaud <tv@mandriva.org> 2.77.1-1mdv2010.0
+ Revision: 374992
- mdkapplet
  o add 2009.1 restricted media on 2009.1 (#50478)
  o remember a new distro exists when checking for updates (distro
    check is less frequent) (#50535)
  o perform initial check after 3 seconds when using --testing
- mdkapplet-restricted-helper
  o prevent having to cancel several time (#48999)
- mdkapplet
  o do not complain when network is down if net_applet is running
    (which will already warn about this)

* Wed Apr 15 2009 Thierry Vignaud <tv@mandriva.org> 2.76.2-1mdv2009.1
+ Revision: 367394
- translation updates

* Thu Apr 02 2009 Thierry Vignaud <tv@mandriva.org> 2.76.1-2mdv2009.1
+ Revision: 363499
- add requires on perl-Crypt-SSLeay (#46503)

* Mon Mar 30 2009 Thierry Vignaud <tv@mandriva.org> 2.76.1-1mdv2009.1
+ Revision: 362458
- translation updates

* Wed Mar 25 2009 Thierry Vignaud <tv@mandriva.org> 2.76-1mdv2009.1
+ Revision: 361082
- mdkapplet-config
  o display update frenquency in hours
  o display intial delay in minutes
  o ensure update frenquency is at least 1 hour

* Thu Mar 19 2009 Thierry Vignaud <tv@mandriva.org> 2.75-1mdv2009.1
+ Revision: 357818
- mdkapplet
  o check all media for update on cooker instead only update media
  o update all media on cooker instead of only update media

* Mon Feb 16 2009 Thierry Vignaud <tv@mandriva.org> 2.74-1mdv2009.1
+ Revision: 341047
- mdkapplet-config
  o add an updates configurator (#37903)

* Wed Feb 11 2009 Thierry Vignaud <tv@mandriva.org> 2.73-1mdv2009.1
+ Revision: 339527
- mdkapplet
  o do not hide urpmi.update arguments (#47002)
  o be nicer with CPU (more efficient system power usage)
  o only warn about locked urpmi DB after 10 tries

* Tue Dec 16 2008 Thierry Vignaud <tv@mandriva.org> 2.72-1mdv2009.1
+ Revision: 314800
- mdkapplet
  o do not claim there're updates when there're not if check for
    missing resctricted media is disabled (#46291)
    (regression introduced in 2.68)

* Thu Dec 11 2008 Thierry Vignaud <tv@mandriva.org> 2.71.4-1mdv2009.1
+ Revision: 313342
- mdkapplet-restricted-helper
  o use 'always' policy for downloading XML metadata so that non root
    users can read themx

* Tue Dec 09 2008 Thierry Vignaud <tv@mandriva.org> 2.71.3-1mdv2009.1
+ Revision: 312340
- mdkapplet-restricted-helper
  o add arch in media names

* Tue Dec 09 2008 Thierry Vignaud <tv@mandriva.org> 2.71.2-1mdv2009.1
+ Revision: 312146
- mdkapplet-restricted-helper
  o warn if user's rigths have expired or he's not subscribed

* Thu Dec 04 2008 Thierry Vignaud <tv@mandriva.org> 2.71.1-1mdv2009.1
+ Revision: 310039
- mdkapplet-restricted-helper
  o display a success message when media were successfully added

* Wed Dec 03 2008 Thierry Vignaud <tv@mandriva.org> 2.71-1mdv2009.1
+ Revision: 309716
- mdkapplet
  o explain what is restricted media before actually asking for root
    privileges
- mdkapplet-restricted-helper
  o add 32 bit repositories on x86_64 too
  o fix banners' titles
  o fix vertical spacing between entries
  o prevent typing in empty password or login
  o report urpmi.addmedia errors
  o rephrase some strings (explaining what are restricted media)

* Mon Dec 01 2008 Thierry Vignaud <tv@mandriva.org> 2.70.1-1mdv2009.1
+ Revision: 308830
- mdkapplet-restricted-helper
  o only tag restricted/updates as 'update', not restricted/release

* Mon Dec 01 2008 Thierry Vignaud <tv@mandriva.org> 2.70-1mdv2009.1
+ Revision: 308814
- mdkapplet
  o check we have both restricted/release & restricted/updates
- mdkapplet-restricted-helper
  o add both newly created restricted/release & restricted/updates media

* Mon Nov 24 2008 Thierry Vignaud <tv@mandriva.org> 2.69-1mdv2009.1
+ Revision: 306118
- mdkapplet
  o really check again after adding update media
  o update status once restricted media got added
- mdkapplet-restricted-helper
  o make sure added media names match our naming policy

* Thu Nov 20 2008 Thierry Vignaud <tv@mandriva.org> 2.68.2-1mdv2009.1
+ Revision: 305286
- pack buttons at start

* Thu Nov 20 2008 Thierry Vignaud <tv@mandriva.org> 2.68.1-1mdv2009.1
+ Revision: 305284
- pack buttons at start
- offer to add the restricted update medium if not available

* Thu Oct 23 2008 Pixel <pixel@mandriva.com> 2.67-1mdv2009.1
+ Revision: 296749
- 2.67
- mdkapplet
  o do not advise to use AC & wired network when not using a laptop

* Wed Oct 22 2008 Thierry Vignaud <tv@mandriva.org> 2.66-1mdv2009.1
+ Revision: 296538
- mdkapplet
  o further fix testing for /var/lib/urpmi/stale_upgrade_in_progress
  o make sure confirm dialog is large enough on 2008.1
  o use wizard button order in confirm dialog

* Wed Oct 22 2008 Thierry Vignaud <tv@mandriva.org> 2.65-1mdv2009.1
+ Revision: 296469
- mdkapplet
  o fix testing for/var/lib/urpmi/stale_upgrade_in_progress
  o explicitely wrap labels (for 2008.1)
  o use Next/Cancel instead of Yes/No in confirmation dialogs

* Tue Oct 21 2008 Thierry Vignaud <tv@mandriva.org> 2.64-2mdv2009.1
+ Revision: 296268
- update pt_BR translation
- workaround breakage in %%if/%%elseif cascad since latesst rpm

* Tue Oct 21 2008 Thierry Vignaud <tv@mandriva.org> 2.64-1mdv2009.1
+ Revision: 296166
- mdkapplet
  o be able to detect unfinished upgrades, even if mandriva-release
    already got upgraded
  o confirmation dialog for system upgrade:
    * advise that it may take a couple hours
    * advise the need for high BW network
    * advise to close other applications
    * advise to use AC & wired network when using a laptop
    * display estimated size of downloads
  o new distro notification bubble:
    * change button from "Upgrade the system" to "More Information"
    * set urgency as 'low'
- mdkapplet-upgrade-helper
  o disable custom downloader settings in order to default to aria2
  o disable the X screen saver while upgrading the system
  o offer to retry the upgrade if it failed
  o when updates succeeded:
    * offer to reboot
    * s/should/must/
- bump require on urpmi

* Thu Oct 16 2008 Thierry Vignaud <tv@mandriva.org> 2.63-1mdv2009.1
+ Revision: 294356
- mdkapplet
  o really prevent upgrading more than once at a time
- mdkapplet
  o really prevent upgrading more than once at a time

* Wed Oct 15 2008 Pixel <pixel@mandriva.com> 2.62-1mdv2009.1
+ Revision: 294006
- 2.62:
- mdkapplet-upgrade-helper
  o check available free space, disallow upgrade if not enough room
- mdkapplet
  o update media in chroot when using --urpmi-root

* Wed Oct 15 2008 Thierry Vignaud <tv@mandriva.org> 2.61-1mdv2009.1
+ Revision: 293968
- mdkapplet-upgrade-helper
  o display error dialog instead of success one when we cannot add the
    media
  o updade media between gurpmi passes in case mirrors got updated if
    needed

* Tue Oct 14 2008 Pixel <pixel@mandriva.com> 2.60-1mdv2009.1
+ Revision: 293736
- 2.60
- mdkapplet-upgrade-helper
  o ensure gurpmi is not killed after 10min
  o ensure gurpmi error status is correctly catched
  o instead of passing hand-crafter mirrorlist for new distro, use a magical
    environment variable that is used by new urpmi

* Tue Oct 14 2008 Thierry Vignaud <tv@mandriva.org> 2.59-1mdv2009.1
+ Revision: 293702
- adjust file list
- bump require on urpmi
- mdkapplet
  o do not restart the applet on package update anymore
- mdkapplet-upgrade-helper
  o call gurpmi with --clean
  o log where gurpmi logs are ending
  o log gurpmi STDERR too
  o make all gurpmi passes using --replacefiles instead of just the
    first one
  o restore urpmi media if adding new distribution media failed

* Tue Oct 14 2008 Thierry Vignaud <tv@mandriva.org> 2.58-1mdv2009.1
+ Revision: 293461
- mdkapplet
  o enable to test distro upgrade even when service is disabled
    through either --testing option or "TEST_DISTRO_UPGRADE=yes" in
    /etc/sysconfig/mdkapplet
- mdkapplet
  o make sure to not report new distro after distro upgrade
  o reread distro release after distro upgrade

* Tue Oct 14 2008 Thierry Vignaud <tv@mandriva.org> 2.56-1mdv2009.1
+ Revision: 293443
- drop PAM permissions for urpmi.removemedia (introduced in 2.46)
- mdkapplet
  o log reason as well as current & target distro for distro upgrade
  o do not crash if image cannot be loaded (#44750)
  o split upgrade code into mdkapplet-upgrade-helper:
    * ask for root password earlier, before removing media (#44771)
    * log where is backuped urpmi.cfg
    * run up to 4 gurpmi passes if needed

* Fri Oct 10 2008 Thierry Vignaud <tv@mandriva.org> 2.55-1mdv2009.1
+ Revision: 291325
- mdkapplet
  o do not display gurpmi log errors when done installing updates,
    only do it for distribution upgrade
- mdkapplet
  o do not check for new distro on Flash
    (not enough disk space)
- mdkapplet
  o prevent upgrading more than once at a time
- mdkapplet
  o explicitely wrap labels b/c 2008.1's mygtk2 didn't wrap
- mdkapplet
  o add a banner and pack Ok button to the right in success dialog
- mdkapplet
  o display a success or an error message at end of installation
  o keep update log and tell users where they are if upgrade failed
  o make "Distro Upgrade" confirmation dialog wider
  o run gurpmi with --replacefiles option (so that temporary file
    conflicts doesn't break upgrade due to missing conflict tags)
    (needs urpmi 6.14.1 from updates)
- mdkapplet
  o enable to globally enable/disable new distribution check
  o "Distro Upgrade" confirmation dialog:
    * display a banner
    * display an URL link button
    * display nicer distribution name
  o when performing distro upgrade:
    * enable to remove media in chroot specified by --urpmi-root
    * run a 2nd gurpmi pass if first failed
- require a fixed gurpmi on 2008.1
- require a gurpmi recent enough on 2008.1 (where gurpmi hasn't strict require on urpmi)
- mdkapplet
  o compute regular updates even if there's a new distro
  o enable to not check again for new distro
  o when a new distro is available:
    * add an "upgrade system" in the menu
    * ask for confirmation before performing distro upgrade
    * if there're updates, install regular updates instead of
      performing distro upgrade on left click
    * only show "Install updates" in right menu only if there actually
      are updates
    * use blue icon
- drop require on wget (was used in the old days by mdkupdate for club media)
- no more require perl-Crypt-SSLeay

  + Pixel <pixel@mandriva.com>
    - 2.54:
    - mdkapplet
      o do not wrongly propose distribution upgrade after installing updates
      o do not display "Congratulations" dialog when done installing updates, only
        do it for distribution upgrade

* Thu Oct 02 2008 Thierry Vignaud <tv@mandriva.org> 2.48-1mdv2009.0
+ Revision: 290804
- mdkapplet
  o do not complain if urpmi DB is locked by another program, just
    wait for next check slot
- mdkapplet
  o prevent SIGCHILD handler's waitpid to interfere with urpmi waiting
    for curl exit code, which broke downloads
  o workarounding issue with downloading files as user

* Thu Oct 02 2008 Thierry Vignaud <tv@mandriva.org> 2.46-2mdv2009.0
+ Revision: 290712
- mdkapplet
  o fix backuping urpmi.cfg
  o fix removing media as user

* Thu Oct 02 2008 Thierry Vignaud <tv@mandriva.org> 2.45-1mdv2009.0
+ Revision: 290702
- mdkapplet
  o workarounding downloading distro list as user for 2008.1 where
    sometimes urpmi reports it failed to download the list when it
    actually did with success

* Tue Sep 30 2008 Thierry Vignaud <tv@mandriva.org> 2.44-1mdv2009.0
+ Revision: 290189
- mdkapplet
  o add support for downloading distro list as user for 2008.1
  o better check in order to exclude cooker from distro upgrade

* Tue Sep 30 2008 Thierry Vignaud <tv@mandriva.org> 2.43-1mdv2009.0
+ Revision: 290170
- mdkapplet
  o don't show the applet when there's no network
- fix distro release check for requires

* Thu Sep 04 2008 Thierry Vignaud <tv@mandriva.org> 2.42-1mdv2009.0
+ Revision: 280884
- typo fix
- mdkapplet:
  o check again after adding update media
  o fix dowloading distributions list
  o offer to add media directly from bubble (#39987)
  o prevent running media manager more than one at a time
  o run media manager with --no-splash' option and handle "--urpmi-root=$root"
- do not display error messages in trigger script (#39649)

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 2.41-1mdv2009.0
+ Revision: 266742
- mdkapplet:
  o add support for --rpm-root=foobar and --urpmi-root=foobar
  o add support for live upgrade when a new distributions is released

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 2.40-2mdv2009.0
+ Revision: 265111
- rebuild early 2009.0 package (before pixel changes)

* Thu May 08 2008 Thierry Vignaud <tv@mandriva.org> 2.40-1mdv2009.0
+ Revision: 204462
- mdkapplet:
  o run MandrivaUpdate with --no-splash option in order to skip splash
    screen (#40366)

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 2.39-3mdv2009.0
+ Revision: 201141
- support LXDE

* Mon Apr 14 2008 Thierry Vignaud <tv@mandriva.org> 2.39-2mdv2009.0
+ Revision: 192787
- update description

* Fri Mar 21 2008 Thierry Vignaud <tv@mandriva.org> 2.39-1mdv2008.1
+ Revision: 189429
- mdkapplet:
  o check for network just before first check
  o do not check for network while checking for updates
  o do not show icon while checking if previously hidden
  o do not show icon while waiting for initial check
  o do not skip first RPM check (change made in 2.16 in march 2007)
  o do not start network cyclic checks before first media test (#38991)
  o kill suppport for bundles
  o reduce resident size by 9MB aka 30%% (#31860)

* Thu Mar 20 2008 Thierry Vignaud <tv@mandriva.org> 2.38-1mdv2008.1
+ Revision: 189178
- do not display "install updates" button when notifying about network
  being down
  (regression introduced in 2.35: "offer to install updates in
  notifications")

* Wed Mar 19 2008 Olivier Blin <oblin@mandriva.com> 2.37-1mdv2008.1
+ Revision: 188935
- require libdrakx-net (>= 0.29)
- 2.37
- simplify network detection

* Mon Mar 17 2008 Thierry Vignaud <tv@mandriva.org> 2.36-1mdv2008.1
+ Revision: 188422
- mdkapplet:
  o bump copyright year
  o do not check for network before first media test (#38991)

  + Olivier Blin <oblin@mandriva.com>
    - do not require perl-Gtk2-TrayIcon anymore

* Fri Mar 14 2008 Thierry Vignaud <tv@mandriva.org> 2.35-1mdv2008.1
+ Revision: 187923
- mdkapplet:
  o offer to install updates in notifications

* Wed Mar 12 2008 Thierry Vignaud <tv@mandriva.org> 2.34-1mdv2008.1
+ Revision: 187107
- mdkapplet:
  o do not keep complaining if nightly update cron had failled (#38531)

* Mon Mar 10 2008 Thierry Vignaud <tv@mandriva.org> 2.33-1mdv2008.1
+ Revision: 183468
- mdkapplet:
  o adapt to urpmi-5.9 (#38724)

* Wed Mar 05 2008 Thierry Vignaud <tv@mandriva.org> 2.32-2mdv2008.1
+ Revision: 179330
- fix urpmi require

* Wed Mar 05 2008 Thierry Vignaud <tv@mandriva.org> 2.32-1mdv2008.1
+ Revision: 179320
- mdkapplet:
  o check more often for network (#37701, #38004)
  o do not crash if notfiy failed on ->show (#38496)
  o do not notify if no network if already done
  o make sure notifications' text doesn't got truncated
  o use more modern API to check for updates
- bump require on rpmdrake & urpmi for APIs

* Tue Feb 26 2008 Thierry Vignaud <tv@mandriva.org> 2.31-1mdv2008.1
+ Revision: 175230
- make sure notifications' text doesn't got truncated

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.30-2mdv2008.1
+ Revision: 170645
- update inactive backport media (#34620)

* Thu Feb 14 2008 Thierry Vignaud <tv@mandriva.org> 2.29-2mdv2008.1
+ Revision: 168586
- fix update-menus-without-menu-file-in-%%post(|un)
- stop requiring hwdb-clients

* Tue Feb 05 2008 Thierry Vignaud <tv@mandriva.org> 2.29-1mdv2008.1
+ Revision: 162665
- hide icon when no updates are availlable (#29728)
- increase initial check delayed from 60 seconds to 5 minutes
- make sure to not display any bubbles at all if no updates (#37451)
- really set nice priority
- use Gtk2::Notify instead of Gtk2::NotificationBubble (#37113)
- ues Gtk2::StatusIcon instead of Gtk2::TrayIcon

* Fri Feb 01 2008 Thierry Vignaud <tv@mandriva.org> 2.28-1mdv2008.1
+ Revision: 161202
- do not crash when icon is removed from the panel socket (#35908)
- do not display a bubble while checking updates (#36526)
- make mdkapplet aware again of network status (#35107)
- readd back tooltips regarding "initial check delay"
- try harder not to report false positives (#36358)
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 11 2007 Thierry Vignaud <tv@mandriva.org> 2.27-1mdv2008.1
+ Revision: 117539
- delay initial check by 1 mn instead of by 25 seconds
- do not display bubbles while waiting for the initial check

* Wed Dec 05 2007 Thierry Vignaud <tv@mandriva.org> 2.26-1mdv2008.1
+ Revision: 115586
- kill disconnect state (thus make mdkapplet works again w/o network)
- mdkapplet.conf: fix default update frequency

* Tue Dec 04 2007 Thierry Vignaud <tv@mandriva.org> 2.25-1mdv2008.1
+ Revision: 115368
- drop --debug option
- drop online registration wizard (obsolete since we locally compute
  updates)
- drop web link from menu (was only relevant for web based Online
  service)
- install config file for applet
- kill dead code
- renice checking updates at level 7
- show Mandriva Linux site instead of old mdvonline one

* Mon Oct 22 2007 Thierry Vignaud <tv@mandriva.org> 2.24-1mdv2008.1
+ Revision: 101184
- use notification bubbles
- do not harcode icon extension

* Mon Oct 01 2007 Thierry Vignaud <tv@mandriva.org> 2.23.1-1mdv2008.0
+ Revision: 94185
- fix bogus catalog
- mdkapplet:
  o fix a crash when /etc/mandriva-release isn't readable due to high msec
    level (#34323))
  o run with reduced I/O priority (#33888)
- own /etc/cron.daily/mdkupdate (#33454)

* Mon Sep 03 2007 Thierry Vignaud <tv@mandriva.org> 2.22-1mdv2008.0
+ Revision: 78518
- improve About dialog

* Wed Aug 29 2007 Thierry Vignaud <tv@mandriva.org> 2.21-1mdv2008.0
+ Revision: 74994
- mdkapplet: only look at update media now that MandrivaUpdate do this
  (#32978) (nice side effect: speed up the updates lookup)

* Sat Aug 11 2007 Thierry Vignaud <tv@mandriva.org> 2.20-1mdv2008.0
+ Revision: 61860
- mdkapplet: prevent running drakbug when already running (#32439)

* Tue Aug 07 2007 Thierry Vignaud <tv@mandriva.org> 2.19-1mdv2008.0
+ Revision: 59836
- mdkapplet:
  o introduce "delayed" state in order to make clear we wait for the
    initial check
  o make first check delay configurable through
    /etc/sysconfig/mdkapplet (#32338)
- fix mimelnk path (frederic crozat)

* Fri Aug 03 2007 Thierry Vignaud <tv@mandriva.org> 2.18-1mdv2008.0
+ Revision: 58571
- disable notifications (#18965)
- mdkapplet:
  o do not fire drakbug when already running applet
  o remove workaround for buggy GNOME now that it has been fixed
- fix startup with XFCE (#31835)

* Fri Jun 08 2007 Thierry Vignaud <tv@mandriva.org> 2.17-1mdv2008.0
+ Revision: 37481
- hide password in logs (#30854)


* Fri Mar 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.16-1mdv2007.1
+ Revision: 148638
- mdkapplet:
  o prevent urpmi.update to run /usr/bin/resize through
    Term::ReadKey->GetTerminalSize() when xterm is installed (which
    freeze the desktop)
  o go into "ok" state on startup
  o schedule first check 25 seconds after startup instead of right now

* Thu Mar 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.15-2mdv2007.1
+ Revision: 147977
- bump release
- hide wizard menu entry for now
- kill bundle desktop entry

* Thu Mar 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.15-1mdv2007.1
+ Revision: 147904
- mdkapplet: hide "configure the service" menu entry

* Wed Mar 21 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.14-1mdv2007.1
+ Revision: 147821
- mdkapplet:
  o fork the updates checking in background, thus fixing:
    * frozed applet while computing updates
    * memory leak
  o remove the timers that make the applet constantly polling (#29788)o
  o warn more clearly when the urpmi database is locked
- mdkupdate: be safer (use urpmi --keep option)

* Tue Mar 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.13-1mdv2007.1
+ Revision: 147067
- mdkupdate:
  o consider all update media instead of only the old "update_source" one
  o enable to operate offline
  o get rid of non auto mode since it:
    * wasn't ported over new urpmi API and was thus broken
    * just reinvents what MandrivaUpdate does
    * is buggy since quite a long time (eg: #16202)
  o kill --applet option now that MandrivaUpdate is run directly by the applet
  o update the media btw

* Tue Mar 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.12-1mdv2007.1
+ Revision: 147003
- mdkapplet:
  o do not log translated messages
  o warn when there's no media at all or when all update media are
    disabled
  o when there's no media at all or when all update media are
    disabled, run source media manager on right click

* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.11-1mdv2007.1
+ Revision: 146596
- display "busy" state while computing updates on startup

* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.10-1mdv2007.1
+ Revision: 146540
- new release
- stop packaging big ChangeLog

* Fri Mar 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.9-2mdv2007.1
+ Revision: 145288
- bump release
- mdkapplet:
  o do not allow to run several instances of MandrivaUpdate
  o do not alter media while MandrivaUpdate is running
  o fix eating all CPU after running MandrivaUpdate
  o update status once MandrivaUpdate completed

* Fri Mar 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.8-2mdv2007.1
+ Revision: 145133
- bump release
- versionate drakxtools require for children reaping

* Fri Mar 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.8-1mdv2007.1
+ Revision: 144840
- mdkapplet:
  o if not registered, operate offline w/o complaining
  o on left click on applet, run MandrivaUpdate if there're updates
  o skip computing updates if urpm db is not lockable
  o store update frequency in /etc/sysconfig/mdkapplet (default is 3h)
  o wait for MandrivaUpdate to complete before recomputing updates &
    restarting the applet if needed

* Mon Mar 12 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.7-1mdv2007.1
+ Revision: 141819
- mdkapplet:
  o fix detecting running applet
  o run MandrivaUpdate directly instead of mdvupdate wrapper

* Fri Mar 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.6-1mdv2007.1
+ Revision: 139548
- do not use deprecated Xorg paths in desktop entries (#28466)
- typo fix in czech translation (#27755)

* Fri Mar 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.5-1mdv2007.1
+ Revision: 138844
- mdkonline wizard:
  o better formated messages
  o do not override --country option
  o fix country issue with UTF-8 when registering an host (#27448)
  o relax constraints on email adresses (#26495)
  o send 2 letters ISO code to the server expect instead of country's
    full name
  o sent the country choosen by the user instead of the default locale one
- mdkapplet:
  o cleanups
  o enable to work w/o the server
  o prevent checking 4 times if there're updates before actually
    running MandrivaUpdate
  o use new API to check if updates are availlable (#26307), compute
    updates localy
- mdkupdate:
  o do not check again if updates really are availlables when run from
    the applet
  o log running MandrivaUpdate

  + Frederic Crozat <fcrozat@mandriva.com>
    -Use GNOME autostart infrastructure
    -use more macros in specfile
    - Import mdkonline

* Thu Sep 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.4-1mdv2007.0
- mdkonline:
  o better looking error dialogs
  o if authentication failed with "No host for this id", just
    transparently register the host again (eg: when host was deleted
    through the web interface)
  o use mdkonline icon in window title & in banner
- mdkupdate: fix MandrivaUpdate crash

* Tue Sep 19 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.3-1mdv2007.0
- mdkonline: accept dots in machine names
- mdkapplet: fix closing about dialog when "close" button is clicked (#25867)

* Sun Sep 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.2-1mdv2007.0
- fix overwriting first XDG menu entry
- mdkapplet:
  o fix autostart in KDE (#25099)
  o start it under Fluxbox & XFce4 too

* Fri Sep 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.1-1mdv2007.0
- XDG menu
- translation snapshot

* Fri Apr 14 2006 Warly <warly@mandrakesoft.com> 2.0-15mdk
- Include server error message when requiring the bundle

* Wed Apr 12 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-14mdk
- applet: do not flood logs when config file is not there
- mdkupdate:
  o ensure we only display one window while installing a bundle
  o fortify error checking
  o remove the wait message prior to displaying an error message

* Tue Apr 11 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-13mdk
- fix restarting old applets

* Sat Apr 08 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-12mdk
- applet:
  o do not flash the main window when opening the contextual menu of
    the icon
  o uniconize the main window when clicking again on the systray icon

* Fri Apr 07 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-11mdk
- applet:
  o "about..." now popups an about dialog
  o raise the window when it's already displayed and the user clicks
    again on the systray icon (#21906)
  o restart it on update

* Thu Apr 06 2006 Warly <warly@mandrakesoft.com> 2.0-10mdk
- Correctly keep the POST line from the bundle file (for auto-select preset)

* Wed Apr 05 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-9mdk
- mdkapplet: fix crash when run as non root

* Wed Apr 05 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-8mdk
- mkdupdate: fix auto registering host when installing a bundle

* Tue Apr 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-7mdk
- applet: fix displaying hostname
- mdkupdate: autoregister the host instead of running the mdkonline
  wizard when installing a bundle

* Tue Apr 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-6mdk
- mdkonline: add a usage message
- mdkupdate: make legacy updates work
- applet:
  o set busy cursor while running mdkupdate
  o wrap status message

* Fri Mar 31 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-5mdk
- show the "Mandriva Online" entry earlier in the "server/" root menu
  branch)
- applet:
  o more understandable message and set busy cursor while querying the
    server
  o wrap text
- fix running wizard on mdv2006
- fix crash while registering the host

* Thu Mar 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-4mdk
- log what's done in /var/log/explanations
- mdkapplet:
  o switch to new SOAP interface
  o use new server to check for updates
- mdkonline:
  o center subdialogs on main window
  o display error messages in various places
  o fix account creation wizard
  o fix running wizards on cooker
  o fix some GUI oddities
- mdkupdate:
  o display error messages in various places
  o display the "preparing" popup earlier so that the user had some
    feedback once he has clicked on al bundle on the web page
  o use new server API for getting updates

* Thu Mar 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-3mdk
- log what is done
- add MIME support for KDE3 (it does not support the XDG mime trees
  and still relies on its own mime placement) (helio)

* Thu Mar 09 2006 Warly <warly@mandrakesoft.com> 2.0-2mdk
- Change Soap format (Thierry Vignaud)

* Thu Mar 02 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-1mdk
- mimetype association between bundle and mdkupdate (fcrozat)
- Mandriva Online V3 (daouda & me)
- extra package installation and update capabilities (daouda, me)
- clean up (daouda, me)
- wizards works on both cooker and MDV2006
- misc bug fixes

* Fri Dec 09 2005 Daouda LO <daouda@mandriva.com> 1.4-0.1mdk
- display updates to install even if server is out of sync
- fully SOAP enabled

* Wed Nov 16 2005 Daouda LO <daouda@mandriva.com> 1.3-7mdk
- update TODO
- Change fuzzy menu title

* Sat Oct 22 2005 Daouda LO <daouda@mandriva.com> 1.3-6mdk
- add trailing '/' for online help

* Wed Oct 19 2005 Daouda LO <daouda@mandriva.com> 1.3-5mdk
- extend the regex to match machine with underscore in name

* Tue Oct 18 2005 Daouda LO <daouda@mandriva.com> 1.3-4mdk
- use strict pragma
- call mdkonline::get_release method before computing updates

* Sat Oct 15 2005 Daouda LO <daouda@mandriva.com> 1.3-3mdk
- launch MandrivaUpdate instead of MandrakeUpdate for distro 
  newer than LE2005 (name change policy) #19211

* Thu Oct 06 2005 Daouda LO <daouda@mandriva.com> 1.3-2mdk
- Major update for new SOAP based architecture (only account creation and 
  authentication 
- po updates

* Wed Sep 21 2005 Daouda LO <daouda@mandriva.com> 1.3-1mdk
- fix missing option when calling terminal based mdkonline
- translations update

* Sat Sep 17 2005 Daouda LO <daouda@mandriva.com> 1.3-0.3mdk
- fix bug on auto-upgrading mdkapplet
- limit machine name to alphanum chars and length <= 40

* Fri Sep 16 2005 Daouda LO <daouda@mandriva.com> 1.3-0.2mdk
- use SOAP for client <-> server communication 
  (account creation and authentication through my.mandriva.com)
- http proxy support for SOAP
- merge code amongst releases (10.0, 10.1, LE2005, 2006)

* Tue Aug 23 2005 Daouda LO <daouda@mandriva.com> 1.3-0.1mdk
- 1.3 pre-build for 2006

* Fri Aug 12 2005 Daouda LO <daouda@mandriva.com> 1.2-1mdk
- switch to Mandriva
- po updates

* Thu Apr 07 2005 Daouda LO <daouda@mandrakesoft.com> 1.2-0.1mdk
- better error handling and log messages when server is down or broken
- po updates

* Thu Mar 24 2005 Daouda LO <daouda@mandrakesoft.com> 1.1-32mdk
- best browwser is now handled by /usr/bin/www-browser (#14847)

* Wed Mar 16 2005 Daouda LO <daouda@mandrakesoft.com> 1.1-31mdk
- change Packager to mandrakeonline team
- misc fixes for mnf 
- s/mdkapplet/mdkupdate/ for is_running check
- get root before testing anything

* Wed Mar 09 2005 Daouda LO <daouda@mandrakesoft.com> 1.1-30mdk
- libDrakX stuffs are always located in /usr/lib/ (gb)

* Wed Mar 09 2005 Daouda LO <daouda@mandrakesoft.com> 1.1-29mdk
- added option --interactive (to use nointeractive in MNF)
- MandrakeUpdate in newt version (only for update_source media)
- fix the x86_64 coupled with corporate capharnaum
- No more dns request to check mandrakeonline server's "reachability"
  (release > 10.0) 
- many cleanups

 o Wed Feb 16 2005 Daouda LO <daouda@mandrakesoft.com> 1.1-28mdk
  - don't update kernel
  - added --mnf option to mdkupdate
  - don't check the network if no config file is available

* Wed Jan 19 2005 Daouda LO <daouda@mandrakesoft.com> 1.1-27mdk
- truly support x86_64 (good path to synthesis and RPMS repertory)
- mdkupdate media renamed to update_source (consolidating with MandrakeUpdate)
- fixed last checked date not refreshing

* Wed Dec 29 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-26mdk
- display last check date on applet interface
- fixed permissions of generated conf file (use octal with perl chmod)
- do not go to 'End' step when upload fails, give choice to user 
  to reupload their config 
- added nn.po ( thanks to Karl Ove Hufthammer )

* Fri Dec 10 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-25mdk
- fix typo when --debug is passed to mdkapplet (warly)

* Thu Dec 09 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-24mdk
- don't append protocol when url name is fully qualified (for corporate)
- fixed empty message when update are done
- cosmetics fixes (window sizes, more wait messages)

* Mon Nov 29 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1-22mdk
- use /corporate/ instead of /Corporate/ in update path.

* Thu Nov 25 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-21mdk
- add online host on GUI (submitted by rwira)
- remerge mdkonline to one package 
- superseded gtk based wizard by interactive one
- MNF support (config upload and misc)
- horodate log strings
- added a debug option to mdkapplet (--debug option)
- check updates fixes

* Wed Oct 27 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-19mdk
-

* Fri Oct 22 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-19mdk
- branch cvs to MDK10_0_update and MDK10_1 for concurrent devel
- release for 10.0 and corpo
- remove strict requires on drakxtools_newt
- revert urpmi new media handling repositories

* Tue Oct 12 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1-18mdk
- put the right dependencies on the backend sub-package
- make parsing of output from server more error safe
- create working directory in mdkonline_tui
- po updates

* Wed Oct 06 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.1-17mdk
- update mdkupdate with new 10.1 mirror structure

* Tue Oct 05 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.1-16mdk
- rebuild

* Tue Oct 05 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-15mdk
- po updates
- exit code instead of die on mdkupdate

* Sat Oct 02 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-14mdk
- libDrakX is always in %%{_prefix}/lib (gwenole)
- write local and wide configs when Text wizard is used
- use old fashion filehandle

* Fri Oct 01 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-13mdk
- backward compatibilities for mandrakelinux release files
- use correct mdkonline version/release to track down useragent connections
- po updates and perl_checker cleanups
- mdkapplet: decrease timeout for network config check (oblin), we use 10s 
  to refresh now.
- move some functions to mdkonline.pm

* Thu Sep 30 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-12mdk
- introduced mdkonline text based wizard for server products
- po updates
- strict requirement on mdkonline-backend
- new applet status when distrib is not supported (too old or cooker)

* Tue Sep 21 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-10mdk
- upload config into hardware database (hw_client)
- sync config with server every night when mdkupdate is run with option --auto.
- increase update check timeout (every 3h)

* Wed Sep 15 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-9mdk
- po updates

* Sat Sep 11 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-8mdk
- fixed typos in sprintf_fixutf8 and output functions

* Fri Sep 10 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-7mdk
- i18n is back (#11064)
- launch one instance of mdkapplet per desktop.
- resynced po
- remove strings incoherencies
- don't display the same desktop icon for mdkapplet and net_applet
- print errors in popup action area

* Thu Aug 05 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-6mdk
- automatically launch mdkapplet for KDE, GNOME and IceWM (via xinit)

* Sun Jul 18 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-5mdk
- fix conflicts (fcrozat)

* Sat Jul 17 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-4mdk
- added mdkonline backend package for derivative products 
  (MNF, Corporate ...)
- more code shared between apps (wizard, cron update and applet)

* Wed Jun 09 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-3mdk
o Tue Jun  8 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-2.1.100mdk
   - added misc architectures (ia64, amd64, x86_64, noarch, ppc64)
   - use md5 file check to reload automagically mdkapplet when mdkonline 
     package has changed (install, upgrade or file replacement).

 o Mon May 31 2004 Daouda LO <daouda@mandrakesoft.com> 1.1-1.100mdk
   - Released as mandatory update and tagged as security fix 
     (force applet to update itself).

* Wed May 26 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-8mdk
- fix broken regexp in error handling code (flepied)

* Tue May 18 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-7mdk
- avoid displaying the applet twice on the panel (using fuzzy_pidofs)
- handle network proxy/routing misconfiguration.

* Wed May 12 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-6mdk
- use mouse clock cursor when busy with applet busy icon.
- decrease debug messages

* Tue May 11 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-5mdk
- more meaningful icons set for applet state (big up 2 ln)

* Fri May 07 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-4mdk
- Wed May  5 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.0-4mdk
  o mdkonline:
		* list all countries (tv)
		* fix truncated text (tv)
		* remove shell stuff (tv)
		* force to use the crontab entry

* Thu Apr 29 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.0-3mdk
- fix wrong path in cron entry (#9547)
- po updates
- don't show the window asking for network connection

* Wed Apr 14 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-2mdk
- move mdkonline process and conf files  to /root/.MdkOnline directory (#8621)
- add migration code to ensure compatibility with old versions
- one more fix for rpmvercmp (remove extra shift to avoid comparing numbers and strings)
- better logs
- better timeout for first configuration
- after upgrade, update applet status immediately (do not wait next timeout occurance)

* Wed Mar 24 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-1mdk
- update status when performing 'check updates'
- better perl rpmvercmp for version and release comparisons
- Report status dynamically
- launch applet main window only once
- autograb hostname and prefill wizard fields
- handle error codes from Mandrakeonline server 
- die properly when AUTOSTART is set TO FALSE
- mdkupdate --applet call
- mdkapplet --force to set AUTOSTART to TRUE
- write conf in both auto and applet mode
- po updates (load mdkonline domain for po in mdkappplet)
- bited by chmod novice mode

